## org.junit.runner.manipulation
Class Alphanumeric

    java.lang.Object
      org.junit.runner.manipulation.Ordering
          org.junit.runner.manipulation.Sorter
              org.junit.runner.manipulation.Alphanumeric

All Implemented Interfaces:
  Comparator<Description>, Ordering.Factory

    public final class Alphanumeric

extends Sorter
implements Ordering.Factory

A sorter that orders tests alphanumerically by test name.

Since:
  4.13

Nested Class Summary

Nested classes/interfaces inherited from class org.junit.runner.manipulation.Ordering
`Ordering.Context, Ordering.Factory`

Field Summary

Fields inherited from class org.junit.runner.manipulation.Sorter
`NULL`

Constructor Summary
`Alphanumeric()`

Method Summary
`Ordering` `create(Ordering.Context context)` Creates an Ordering instance using the given context.

Methods inherited from class org.junit.runner.manipulation.Sorter
`apply, compare, orderItems`

Methods inherited from class org.junit.runner.manipulation.Ordering
`definedBy, definedBy, shuffledBy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### Alphanumeric

    public Alphanumeric()

Method Detail

### create

    public Ordering create(Ordering.Context context)

  Description copied from interface: `Ordering.Factory`
  Creates an Ordering instance using the given context. Implementations of this method that do not need to use the context can return the same instance every time.

  Specified by:
    `create` in interface `Ordering.Factory`

Copyright © 2002–2020 JUnit. All rights reserved.